/* $Copyright (c) 2012-2017 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$
Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG
*/
editAreaLoader.load_syntax["epl"] = {
	'DISPLAY_NAME' : 'EPL'
	,'COMMENT_SINGLE': { 1: '//', 2: '@' }
	, 'COMMENT_MULTI': { '/*': '*/' }
	, 'QUOTEMARKS': { 1: "'", 2: '"' }
	, 'KEYWORD_CASE_SENSITIVE': true
	, 'KEYWORDS': {
	    'constants': [
			'false', 'true'
		]
		, 'types': [
			'string', 'integer', 'float', 'decimal', 'context', 'chunk', 'boolean', 'listener', 'location', 'dictionary', 'sequence', 'stream', 'optional', 'any'
		]
		, 'statements': [
            'if', 'then', 'while', 'else', 'for', 'on', 'from', 'route', 'emit', 
				'enqueue', 'spawn', 'print', 'die', 'log', 'using', 'break', 'continue', 'send', 'to',
				'ifpresent', 'switch', 'case', 'default', 'try', 'catch', 'throw', 'in'
		]
 		, 'keywords': [
           'new', 'return', 'import', 'package', 'as', 'all', 'returns', 'wait', 
			  'at', 'currentTime', 'unmatched', 'completed', 'select', 'join',
			  'retain', 'within', 'partition', 'group', 'by', 'where', 'having', 'rstream',
			  'every', 'with', 'unique', 'not', 'and', 'xor', 'or', 'equals',
			  'event', 'monitor', 'action', 'wildcard', 'aggregate', 'bounded', 'unbounded',
			'constant', 'static', 'persistent'
			  
		]
	}
	, 'OPERATORS': [
		'+', '-', '/', '*', '=', ':=', '<', '>', '%', '!', ':'
	]
	, 'DELIMITERS': [
		'(', ')', '[', ']', '{', '}'
	]
	, 'REGEXPS': {
	    'precompiler': {
	        'search': '()(#[^\r\n]*)()'
			, 'class': 'precompiler'
			, 'modifiers': 'g'
			, 'execute': 'before'
	    }
	}
	, 'STYLES': {
	    'COMMENTS': 'color: #3f7f5f;'
		, 'QUOTESMARKS': 'color: #2A00FF;'
		, 'KEYWORDS': {
		    'constants': 'color: #7F0055;'
			, 'types': 'color: #cd3a3a;'
			, 'statements': 'color: #7F0055;'
			, 'keywords': 'color: #7F0055;'
		}
		, 'OPERATORS': 'color: #000000;'
		, 'DELIMITERS': 'color: #000000;'
		, 'REGEXPS': {
		    'precompiler': 'color: #009900;'
			, 'precompilerstring': 'color: #994400;'
		}
	}
};
